declare_plugin("C130J",
{
displayName     = _("C-130J FLIGHT TRAINING"),
developerName   =   "Eric and Patrick Cuesta",

image     	 = "FC.bmp",
installed 	 = true, -- if false that will be place holder , or advertising
dirName	  	 = current_mod_path,
fileMenuName = _("C130J"),

version		 = __DCS_VERSION__,
state		 = "installed",
info		 = _(" C-130 J ENTRAINEMENT AU VOL AVEC INSTRUMENTS DE VOL FONCTIONNNEL  by ERIC and PATRICK CUESTA, VERSION 2.5.5"),

InputProfiles =
{
    ["C130J"] = current_mod_path .. '/Input/C130J',
},


Skins	=
	{
		{
			name	= _("C130J"),
			dir		= "Theme"
		},
	},
	
Missions =
	{
		{
			name		    = _("C130J"),
			dir			    = "Missions",
            training_ids    = {EN = 'SU-25T_video_EN', RU = 'SU-25T_video_RU'},
		},
	},		

LogBook =
	{
		{
			name		= _("C130J"),
			type		= "C130J",
		},
	},	
Options =
    {
        {
            name		= _("C130J"),
            nameId		= "C130J",
            dir			= "Options",
            CLSID		= "{C130J options}"
        },
},		



})
		
		
		
mount_vfs_texture_path  (current_mod_path.."/Textures/C130J.zip")
mount_vfs_texture_path  (current_mod_path.."/Textures/C130J COCKPIT")
mount_vfs_texture_path(current_mod_path ..  "/Theme/ME")--for simulator loading window
mount_vfs_model_path	(current_mod_path.."/Shapes")
mount_vfs_texture_path  (current_mod_path.."/Textures")
mount_vfs_model_path    (current_mod_path ..  "/Cockpit/Shape")
mount_vfs_texture_path  (current_mod_path ..  "/Cockpit/Textures/A-10A-CPT-TEXTURES")
mount_vfs_sound_path (current_mod_path.."/Sounds")





----------------------------------------------------------------------------------------
make_flyable('C130J', current_mod_path..'/Cockpit/KneeboardLeft/', {nil, old = 17}, current_mod_path..'/Comm.lua')

dofile(current_mod_path.."/C130J.lua")
dofile(current_mod_path.."/Views.lua")
make_view_settings('C130J', ViewSettings, SnapViews)

----------------------------------------------------------------------------------------

plugin_done()
